<div class="actions">
  <input type="number" [formControl]="indexControl" min="0" max="20" />
  <button (click)="addArticle()">Add at index</button>
  <button (click)="removeArticle()">Remove at index</button>
  <button (click)="addTemplateContent()">Add template content</button>
</div>

<main>
  <ng-container #main></ng-container>
</main>

<ng-template #template>
  <h5>Some additional awesome content</h5>
  <p>Lorem ipsum dolor sit amet</p>
</ng-template>
